MongoDB Mongoid 如何与 elasticsearch 很好的集成?

mingmingpao · 2015年04月13日 · 3285 次阅读

我想用elasticsearch-model与elasticsearch整合, 结果与mongoid进行整合不大顺利.

我尝试了下与ActiveRecord的整合, 很顺利.

http://www.elastic.co/guide/en/elasticsearch/client/ruby-api/current/_activemodel_activerecord.html

上面按个地址的入门教程直接就顺利通过了.

但是改成mongoid之后, 不行. 我进去elasticsearch-model的github主页, 看到gemfiles这个文件夹的commit信息显示如下:

Bundler could not find compatible versions for gem "minitest": In Gemfile: mongoid (= 4.0.0) ruby depends on activemodel (~> 4.0) ruby depends on activesupport (= 4.0.0) ruby depends on minitest (~> 4.2) ruby

minitest (4.0.0)

我无法得知如何更改, 而且我也无法得知是否是因为这个出错误了.

暂无回复。
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册